com.sap.conn.jco

## Interface JCoRequest

- All Superinterfaces:
    Cloneable, Iterable<JCoField>, JCoParameterList, JCoRecord, Serializable

      public interface JCoRequest
      extends JCoParameterList

  A JCoRequest is a special view on a JCoFunction and is used in the Request/Response model of JCo function calls. It contains all parameters of a function that are inputs to a function call, the import, changing and table parameters.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JCoResponse` | `execute(JCoDestination destination)` Starts the execution of the function on the given destination.
    `AbapException` | `getException(String key)` Returns the ABAP exception for the specified key.
    `AbapException[]` | `getExceptionList()` Returns the ABAP exception list.
    `String` | `getName()` Returns the name of the function module, that is referred to by the JCoRequest.
    `boolean` | `isAbapClassExceptionEnabled()` Returns the boolean value that indicates whether or not the server is permitted to transmit an ABAP class exception when executing this request.
    `void` | `setAbapClassExceptionMode(AbapClassException.Mode mode)` Sets the mode for ABAP class exceptions.

    - ### Methods inherited from interface com.sap.conn.jco.JCoParameterList

      `getListMetaData, getParameterFieldIterator, isActive, isActive, setActive, setActive`

    - ### Methods inherited from interface com.sap.conn.jco.JCoRecord

      `clear, clone, copyFrom, getAbapObject, getAbapObject, getBigDecimal, getBigDecimal, getBigInteger, getBigInteger, getBinaryStream, getBinaryStream, getByte, getByte, getByteArray, getByteArray, getChar, getChar, getCharacterStream, getCharacterStream, getCharArray, getCharArray, getClassNameOfValue, getDate, getDate, getDouble, getDouble, getField, getField, getFieldCount, getFieldIterator, getFloat, getFloat, getInt, getInt, getLong, getLong, getMetaData, getShort, getShort, getString, getString, getStructure, getStructure, getTable, getTable, getTime, getTime, getValue, getValue, isInitialized, isInitialized, iterator, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, toJSON, toJSON, toXML, toXML, toXML, write, write`

- - ### Method Detail

    - #### getExceptionList

          AbapException[] getExceptionList()

      Returns the ABAP exception list.
      Returns:
        the ABAP exception list or `null` if none specified

    - #### getException

          AbapException getException(String key)

      Returns the ABAP exception for the specified key.
      Returns:
        the ABAP exception for the specified key or `null` if not defined

    - #### execute

          JCoResponse execute(JCoDestination destination)
                              throws JCoException

      Starts the execution of the function on the given destination.
      Parameters:
        `destination` -
      Throws:
        `JCoException`

    - #### getName

          String getName()

      Returns the name of the function module, that is referred to by the JCoRequest.
      Returns:
        the name of the function module

    - #### setAbapClassExceptionMode

          void setAbapClassExceptionMode(AbapClassException.Mode mode)

      Sets the mode for ABAP class exceptions. Enabling means the ABAP server is permitted to transmit an ABAP class exception, whereas disabling signifies that the server must not transmit such an exception.
      Parameters:
        `mode` - the value determining whether ABAP class exceptions are permitted (full or limited to the exception chain) or not

    - #### isAbapClassExceptionEnabled

          boolean isAbapClassExceptionEnabled()

      Returns the boolean value that indicates whether or not the server is permitted to transmit an ABAP class exception when executing this request.
      Returns:
        `true` or `false` depending on whether transmitting ABAP class exceptions is permitted or not, respectively

Copyright © 2016 SAP. All Rights Reserved.